### Method

# GLib Timer elapsed

#### Declaration

    gdouble
    g_timer_elapsed (
      GTimer* timer,
      gulong* microseconds
    )

#### Description

If `timer` has been started but not stopped, obtains the time since the timer was started. If `timer` has been stopped, obtains the elapsed time between the time it was started and the time it was stopped. The return value is the number of seconds elapsed, including any fractional part. The `microseconds` out parameter is essentially useless.

#### Parameters

`microseconds`

  Type: `gulong*`

  Return location for the fractional part of seconds elapsed, in microseconds (that is, the total number of microseconds elapsed, modulo 1000000), or `NULL`.

  The data is owned by the caller of the method.

#### Return value

Type: `gdouble`

Seconds elapsed as a floating point value, including any fractional part.